org.apache.ignite.plugin.security

## Enum SecuritySubjectType

- java.lang.Object
- - java.lang.Enum<SecuritySubjectType>
  - - org.apache.ignite.plugin.security.SecuritySubjectType

- All Implemented Interfaces:
    Serializable, Comparable<SecuritySubjectType>

      public enum SecuritySubjectType
      extends Enum<SecuritySubjectType>

  Supported security subject types. Subject type can be retrieved form `SecuritySubject.type()` method.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REMOTE_CLIENT` Subject type for remote client.
    `REMOTE_NODE` Subject type for a remote `ClusterNode`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static @Nullable SecuritySubjectType` | `fromOrdinal(byte ord)` Efficiently gets enumerated value from its ordinal.
    `static SecuritySubjectType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SecuritySubjectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REMOTE_NODE

          public static final SecuritySubjectType REMOTE_NODE

      Subject type for a remote `ClusterNode`.

    - #### REMOTE_CLIENT

          public static final SecuritySubjectType REMOTE_CLIENT

      Subject type for remote client.

  - ### Method Detail

    - #### values

          public static SecuritySubjectType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SecuritySubjectType c : SecuritySubjectType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SecuritySubjectType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromOrdinal

          @Nullable
          public static @Nullable SecuritySubjectType fromOrdinal(byte ord)

      Efficiently gets enumerated value from its ordinal.
      Parameters:
        `ord` - Ordinal value.
      Returns:
        Enumerated value.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023